### Enumeration

# GLib MainContextFlags

since: 2.72

#### Declaration

    flags GLib.MainContextFlags

#### Description [src]

Flags to pass to `g_main_context_new_with_flags()` which affect the behaviour of a `GMainContext`.

Available since: 2.72

#### Members

`G_MAIN_CONTEXT_FLAGS_NONE`

  Default behaviour.

  - Value: `0`
  - Available since: 2.72
`G_MAIN_CONTEXT_FLAGS_OWNERLESS_POLLING`

  Assume that polling for events will free the thread to process other jobs. That’s useful if you’re using `g_main_context_{prepare,query,check,dispatch}` to integrate GMainContext in other event loops.

  - Value: `1`
  - Available since: 2.72